From f05502d4454b3d8bf5ba5ec585c389f9d9108b16 Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Fri, 2 Dec 2011 23:23:31 +0700
Subject: [PATCH 5/6] npapi: Added detaching of WindowsManager from libvlc
 before libvlc_media_player_release

---
 npapi/vlcplugin.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/npapi/vlcplugin.cpp b/npapi/vlcplugin.cpp
index a25466f..8e495cb 100644
--- a/npapi/vlcplugin.cpp
+++ b/npapi/vlcplugin.cpp
@@ -739,6 +739,9 @@ bool VlcPlugin::playlist_select( int idx )
         if( playlist_isplaying() )
             playlist_stop();
         events.unhook_manager( this );
+#ifdef XP_WIN
+        _WindowsManager.LibVlcDetach();
+#endif
         libvlc_media_player_release( libvlc_media_player );
         libvlc_media_player = NULL;
     }
-- 
1.7.7.1.msysgit.0

